"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importDefault(require("react"));
var arrow_repeat_svg_1 = __importDefault(require("../assets/icons/arrow-repeat.svg"));
var exclamation_circle_svg_1 = __importDefault(require("../assets/icons/exclamation-circle.svg"));
var check_circle_svg_1 = __importDefault(require("../assets/icons/check-circle.svg"));
var Tooltip_1 = __importDefault(require("./Tooltip"));
var OcrInfo = function (_a) {
    var loading = _a.loading, error = _a.error, message = _a.message;
    if (loading) {
        return (react_1["default"].createElement(Tooltip_1["default"], { message: "OCR is running..." },
            react_1["default"].createElement("img", { src: arrow_repeat_svg_1["default"], className: "ocr-info__icon ocr-info__icon-rotate", alt: "loading icon" })));
    }
    if (error) {
        return (react_1["default"].createElement(Tooltip_1["default"], { message: error },
            react_1["default"].createElement("img", { src: exclamation_circle_svg_1["default"], className: "ocr-info__icon", alt: "error icon" })));
    }
    if (message) {
        return (react_1["default"].createElement(Tooltip_1["default"], { message: message },
            react_1["default"].createElement("img", { src: check_circle_svg_1["default"], className: "ocr-info__icon", alt: "check icon" })));
    }
    return null;
};
exports["default"] = OcrInfo;
//# sourceMappingURL=OcrInfo.js.map