"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importDefault(require("react"));
var eye_svg_1 = __importDefault(require("../../assets/icons/eye.svg"));
var eye_slash_svg_1 = __importDefault(require("../../assets/icons/eye-slash.svg"));
var AreaAnnotationToggle = function (_a) {
    var showInput = _a.showInput, setShowInput = _a.setShowInput;
    return (react_1["default"].createElement("img", { src: showInput ? eye_svg_1["default"] : eye_slash_svg_1["default"], alt: "Toggle button", className: "area-annotation__toggle-icon", onClick: function (event) {
            event.stopPropagation();
            setShowInput(!showInput);
        } }));
};
exports["default"] = AreaAnnotationToggle;
//# sourceMappingURL=AreaAnnotationToggle.js.map