"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importStar(require("react"));
var AreaMark_1 = __importDefault(require("./AreaMark"));
var annotationContext_1 = __importDefault(require("../../context/annotationContext"));
var AreaLayer = function (_a) {
    var pdfScale = _a.pdfScale, pageNumber = _a.pageNumber;
    var context = (0, react_1.useContext)(annotationContext_1["default"]);
    var annotations = (0, react_1.useMemo)(function () {
        return context.annotations.filter(function (annotation) { return !!annotation.areaAnnotation && annotation.page === pageNumber; });
    }, [context, pageNumber]);
    return (react_1["default"].createElement(react_1["default"].Fragment, null, annotations.map(function (annotation) { return (react_1["default"].createElement(AreaMark_1["default"], { pdfScale: pdfScale, key: annotation.id, annotation: annotation, removeAnnotation: context.removeAnnotation, updateAnnotation: context.updateAnnotation })); })));
};
exports["default"] = AreaLayer;
//# sourceMappingURL=AreaLayer.js.map