"use strict";
exports.__esModule = true;
var react_1 = require("react");
var AnnotationContext = (0, react_1.createContext)({
    annotations: [],
    removeAnnotation: function () { },
    updateAnnotation: function () { },
    tokenizer: new RegExp(/\w+([,.\-/]\w+)+|\w+|\W/g)
});
AnnotationContext.displayName = 'AnnotationContext';
exports["default"] = AnnotationContext;
//# sourceMappingURL=annotationContext.js.map