"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importStar(require("react"));
var AreaTextAnnotation_1 = __importDefault(require("./AreaTextAnnotation"));
var pdfHelpers_1 = require("../../helpers/pdfHelpers");
var AreaAnnotationToggle_1 = __importDefault(require("./AreaAnnotationToggle"));
var AreaMark = function (_a) {
    var pdfScale = _a.pdfScale, annotation = _a.annotation, removeAnnotation = _a.removeAnnotation, updateAnnotation = _a.updateAnnotation;
    var _b = (0, react_1.useState)(true), showInput = _b[0], setShowInput = _b[1];
    var _c = annotation.areaAnnotation, bb = _c.boundingBox, scale = _c.pdfInformation.scale;
    var boundingBox = (0, react_1.useMemo)(function () { return (0, pdfHelpers_1.recalculateBoundingBox)(bb, scale, pdfScale); }, [bb, scale, pdfScale]);
    return (react_1["default"].createElement("div", { className: "area-annotation__container", style: {
            left: "".concat(boundingBox.left, "px"),
            top: "".concat(boundingBox.top - 35, "px"),
            width: "".concat(boundingBox.width, "px"),
            height: "".concat(boundingBox.height + 35, "px")
        } },
        react_1["default"].createElement(AreaTextAnnotation_1["default"], { showInput: showInput, annotation: annotation, updateAnnotation: updateAnnotation }),
        react_1["default"].createElement("div", { role: "button", "aria-label": "Area annotation", onClick: function () { return removeAnnotation(annotation.id); }, className: "area-annotation__mark", style: {
                width: "".concat(boundingBox.width, "px"),
                height: "".concat(boundingBox.height, "px"),
                border: "2px solid ".concat(annotation.entity.color)
            } },
            react_1["default"].createElement(AreaAnnotationToggle_1["default"], { showInput: showInput, setShowInput: setShowInput }),
            react_1["default"].createElement("span", { style: { backgroundColor: annotation.entity.color } }))));
};
exports["default"] = AreaMark;
//# sourceMappingURL=AreaMark.js.map