"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importStar(require("react"));
var entityContext_1 = __importDefault(require("../../context/entityContext"));
var configContext_1 = __importDefault(require("../../context/configContext"));
var Token = function (_a) {
    var token = _a.token, dataI = _a.dataI;
    var entity = (0, react_1.useContext)(entityContext_1["default"]).entity;
    var config = (0, react_1.useContext)(configContext_1["default"]).config;
    var annotateableBox = (0, react_1.useMemo)(function () {
        if (config.hideAnnotateableBoxes) {
            return false;
        }
        return (entity === null || entity === void 0 ? void 0 : entity.entityType) === 'NER';
    }, [entity, config]);
    if (dataI) {
        return (react_1["default"].createElement("span", { "data-i": dataI, className: "token__text-item ".concat(annotateableBox ? 'annotatable' : '').trim() }, token));
    }
    return react_1["default"].createElement("span", { className: "token__text-item" }, token);
};
exports["default"] = (0, react_1.memo)(Token);
//# sourceMappingURL=Token.js.map